#!/usr/bin/env bash

#Run this script after lupdate is run

for f in *.ts; do
  echo "Converting $f..."
  xmllint --c14n "$f" > "$f.c14n"
  if [ $? -ne 0 ]; then
    echo "!! ERROR: xmllint failed with error code $?"
  else
    echo "OK!"
  fi
  mv "$f.c14n" $f
done

