#!/bin/bash
#MLH:  Enter in the number of times to beep as the first parameter
if [ $# -lt 1 ] ; then
  exit 1
fi

if [ "$(lsb_release -rs)" = "20.04" ]; then
    USE_WORKAROUND="yes"
else
    USE_WORKAROUND=""
fi

count=0
while [ $count -lt $1 ] ; do
    ((count++))
    echo $count
    [ -n "${USE_WORKAROUND}" ] && {
        beep -l 3 -d 0 -r 33
    } || {
        beep -f 4750 -l 100
    }
done
