#!/bin/sh
# This script mutes/unmutes bluetooth streaming media, not headsets

# first argument is 0 or 1, to unmute or mute respectively


# Look for bluetooth sink-input. This is where a bluetooth audio device is streaming to the console
index=$(pactl list sink-inputs | grep -B22 "audio-card-bluetooth" | grep "Sink Input" | sed 's/.*Sink Input #//')
if [ -z "$index" ]; then
  echo "Failed: No sink-input for BT audio found"
else
  echo "Muting $index $1"
  pactl set-sink-input-mute $index $1
fi
