#!/bin/sh

LSUSB=`lsusb`
nucboot_present=$(echo $LSUSB | grep 7f17:0010)
nucleus_present=$(echo $LSUSB | grep 7f17:0011)

if [ -z "$nucboot_present" -a -z "$nucleus_present" ]
then
    echo NO_LOWERSYSTEM
elif [ -n "$nucboot_present" -a -z "$nucleus_present" ]
then
    echo NUCBOOT
elif [ -z "$nucboot_present" -a -n "$nucleus_present" ]
then
    echo NUCLEUS
else
    echo NO_LOWERSYSTEM
fi
