#!/bin/bash
#set -x

cd scripts/iptvRoute

currIP=""
if [ -f /etc/default/truefitness-addroute ]; then
  currIP=$(grep MultiNet /etc/default/truefitness-addroute | cut -d"'" -f 2 | cut -d"/" -f 1 )
fi

if [[ -z "$currIP" || "$currIP" != "$1" ]]; then
  sudo sed -i -e "s/MultiNet='\(.*\)'/MultiNet='$1\/24'/" truefitness-addroute

  sudo cp truefitness-addroute /etc/default/
  sudo cp truefitness-addroute-atboot.service truefitness-addroute-atboot.timer /etc/systemd/system/
  sudo cp truefitness-addroute-atboot.sh /usr/bin/

  sudo systemctl enable truefitness-addroute-atboot.timer
  sudo systemctl start truefitness-addroute-atboot.timer

  echo true
else
  echo false
fi
