var noble = require('/usr/share/node_modules/noble/index');

var serviceUUIDs = ["180d"];


noble.on('stateChange', function(state) {
  if (state === 'poweredOn') {
    noble.startScanning(serviceUUIDs,true);
  } else {
    noble.stopScanning();
  }
});

noble.on('discover', function(peripheral) {
  
  // TODO this can use `peripheral.addressType` in the latest version of noble
  var addrTypes = peripheral._noble._bindings._addresseTypes;
  var addrType = addrTypes[peripheral.uuid];

  var name = peripheral.advertisement.localName;
  // Just in case
  name = name.replace(";", "");

  console.log(peripheral.uuid  + ";" + name + ";" + peripheral.advertisement.txPowerLevel + ";" + addrType);
});

