#!/bin/sh -x
# find path to executable, which varies depending if we are in production or running through Qt Creator
echo "start_browser.sh:  current directory $PWD"

echo "Starting browser from $PWD"

case "$PWD" in
  "/usr/lib/truefitness/truetouch")
  cd ../truetouch-browser || exit 1
  ;;
  "/usr/lib/trueui")
  cd ../trueui-browser || exit 1
  ;;
  *"/"*"build"*"Release"*)
  cd ../trueui/build*WebBrowser*Release* || exit 1
  ;;
  *"/"*"build"*"Debug"*)
  cd ../trueui/build*WebBrowser*Debug* || exit 1
  ;;
esac

export QTWEBENGINE_CHROMIUM_FLAGS=--no-sandbox
exec ./WebBrowser "$@"
