#!/bin/sh

prev=1
while [ 1 ]
do
  # Watch for 1 (or more) bluetooth device audio sources
  pactl list sink-inputs | grep 'audio-card-bluetooth' >/dev/null 2>/dev/null
  val=$?
  if [ $val -eq $prev ]; then
    : # no change - do nothing
  elif [ $val -eq 0 ]; then
    echo "yes"
  else
    echo "no"
  fi
  sleep 2
  prev=$val
done

