#!/bin/sh
#beep -f 4750 -l 100
#MLH:  Enter in the number of times to beep as the first parameter
if [ $# -lt 1 ] ; then
  exit 1
fi

if [ ! -d /sys/class/pwm/pwmchip2/pwm0/ ]; then
    echo 0 > /sys/class/pwm/pwmchip2/export
fi
echo 1000000 > /sys/class/pwm/pwmchip2/pwm0/period
echo 80000 > /sys/class/pwm/pwmchip2/pwm0/duty_cycle

if [ ! -d /sys/class/gpio/gpio122/ ]; then
    echo 122 > /sys/class/gpio/export
    echo out > /sys/class/gpio/gpio122/direction
    echo 1 > /sys/class/gpio/gpio122/value
fi

count=0
while [ $count -lt $1 ] ; do
  let count=$count+1
  echo 1 > /sys/class/pwm/pwmchip2/pwm0/enable
  usleep 500000
  echo 0 > /sys/class/pwm/pwmchip2/pwm0/enable
  if [ $count -lt $1 ] ; then
    usleep 500000
  fi
done
