#!/bin/bash

INTERFACE=$1

case ${INTERFACE} in
    enp*)
        echo disconnecting ethernet interface
    ;;

    wlp*)
        echo disconnecting wireless interface
    ;;

    *)
        echo "Unknown interface: ${INTERFACE}"
        exit 1
    ;;
esac

sudo ifdown ${INTERFACE}
sudo unlink /etc/network/interfaces.d/${INTERFACE}.cfg 2>/dev/null
echo "Disconnected"
