#!/bin/bash

sudo modprobe cl311m2

ALSACARD="$($(dirname -- ${BASH_SOURCE[0]})/detect_alsa_card.sh)"
pulse_alsa=`pactl list sources short | grep -i "alsa_input.hw_${ALSACARD}" -c`
if [ $pulse_alsa -lt 1 ]; then
   pactl set-card-profile alsa_card.pci-0000_03_00.0 off
   pactl load-module module-alsa-source device=hw:${ALSACARD}
fi

# wake up the driver
echo p > /dev/hdmi-mux

echo "true"
