#!/bin/bash
trueui_path="/usr/lib"
truetouch_path="/usr/local/bin"
ui_name="default.truetouch"
browsername="$ui_name-browser"

num_args="$#"
target=$1
if [ "$num_args" -ne 1 ] ; then
  echo "Illegal number of parameters: $num_args found, uiSelelect expects only one. "
  exit 1
fi


if [[ $target = "trueui" ]]; then
  ui_path="$trueui_path"
elif [[ $target = "truetouch" ]]; then
  ui_path="$truetouch_path"
else
  echo "uiSelect requires either 'trueui' or 'truetouch' as a parameter...now exiting'"
  exit 2
fi

sudo update-alternatives --set $ui_name $ui_path/$target
sudo update-alternatives --set $browsername $ui_path/$target-browser
