#!/bin/sh

# first argument is 0 or 1, to unmute or mute respectively
index=$(pactl list sink-inputs | egrep "Sink Input|application\.name" | grep -B1 "LibVLC" | grep "Sink Input" | sed 's/.*Sink Input #//')
if [ -z "$index" ]; then
  echo "Failed: No sink-input for LibVLC found"
  exit 1
fi
echo "vlcmute.sh: Muting $index $1"
pactl set-sink-input-mute $index $1
